Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.yahoo
Class QueueYahooEventListener

    java.lang.Object
      |
      +--com.compoze.collab.im.QueueEventListener
            |
            +--com.compoze.collab.im.QueueImEventListener
                  |
                  +--com.compoze.collab.yahoo.QueueYahooEventListener

All Implemented Interfaces:
  java.util.EventListener, IImListener, IYahooImListener

public class QueueYahooEventListener
extends QueueImEventListener
implements IYahooImListener

An event listener that queues Yahoo events.

Constructor Summary
`QueueYahooEventListener()` Constructor.

Method Summary
`void` | `buzzReceived(ImEvent ev)`
`void` | `newMailReceived(ImEvent ev)`

Methods inherited from class com.compoze.collab.im.QueueImEventListener
`friendUpdated, messageReceived`

Methods inherited from class com.compoze.collab.im.QueueEventListener
`addEvent, getEvents, getEvents, getNextEvent, getNextEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.compoze.collab.im.IImListener
`friendUpdated, messageReceived`

Constructor Detail

### QueueYahooEventListener

    public QueueYahooEventListener()

  Constructor.

Method Detail

### buzzReceived

    public void buzzReceived(ImEvent ev)

  Specified by:
    `buzzReceived` in interface `IYahooImListener`

### newMailReceived

    public void newMailReceived(ImEvent ev)

  Specified by:
    `newMailReceived` in interface `IYahooImListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.